<!DOCTYPE html>
<html lang="en">
  <head>
    <!-- <script src="https://ajax.googleapis.com/ajax/libs/jquery/3.6.0/jquery.min.js"></script> -->
    <meta charset="UTF-8" />
    <style>
       @import url('https://fonts.googleapis.com/css2?family=Montserrat:wght@500&display=swap');
      body{
        background-color: coral;
        font-family: 'Montserrat', sans-serif;
        font-size: 20px;
      }
      .tabelutama{
        margin-top: 20px;
        /* margin-left: 30px; */
       
      }
      .entry{
        padding: 10px;
      }
      .wrapper{
        word-wrap: break-word;min-width: 1rem;max-width: 12rem;
      }

    </style>
    <link href="https://cdn.jsdelivr.net/npm/bootstrap@5.0.2/dist/css/bootstrap.min.css" rel="stylesheet" integrity="sha384-EVSTQN3/azprG1Anm3QDgpJLIm9Nao0Yz1ztcQTwFspd3yD65VohhpuuCOmLASjC" crossorigin="anonymous">
    <title>Lab555555 Note</title>
    <script>
        var myModal = document.getElementById('staticBackdrop')
        var myInput = document.getElementById('modal-trigger')

    myModal.addEventListener('shown.bs.modal', function () {
    myInput.focus()
    })
    </script>
  </head>
  <body>
    <!-- {% include "header.html" %} -->
    <div class="container">
      <table class="tabelutama table table-striped table-hover" border="3">
        <thead>

          <tr >
            <th class="entry lead">Kepada</th>
            <th class="entry lead">Dari</th>
            <th class="entry lead">Judul</th>
            <th class="entry lead">Pesan</th>
            <th class="entry lead">ACTIONS</th>
          </tr>
        </thead>
      
      {% if notes %}
      {% for note in notes %}
      <tr>
        <td class="entry wrapper"> {{ note.reciever }}  </td>
        <td class="entry wrapper"> {{ note.sender }}  </td>
        <td class="entry wrapper"> {{ note.id }} {{ note.title }}  </td>
        <td class="entry wrapper"> {{ note.message }}  </td>
        <td class="entry "> 
            <a href="notes/{{ note.id }}">
                <button id="view" class="btn btn-primary"> View</button> 
            </a> 
            <a href="notes/{{ note.id }}/update">
                
                <button class="btn btn-warning"> Edit</button> 
            </a>
            <!-- Button trigger modal -->
            <button type="button" class="btn btn-danger" data-bs-toggle="modal" data-bs-target="#staticBackdrop{{note.id}}">
                Delete
            </button>
            <a id="sumtitt" class="btn btn-danger somting " onclick="" href="notes/{{ note.id }}/delete">  Yes,delete this note</a>
    <!-- Modal -->
    <div class="modal fade" id="staticBackdrop{{note.id}}" data-bs-backdrop="static" data-bs-keyboard="false" tabindex="-1" aria-labelledby="staticBackdropLabel" aria-hidden="false">
        <div class="modal-dialog">
        <div class="modal-content">
            <div class="modal-header">            
            <button type="button" class="btn-close" data-bs-dismiss="modal" aria-label="Close"></button>
            <h5 class="modal-title" id="staticBackdropLabel">Are you want to delete this item ?</h5>
            </div>
            <div class="modal-body">
                <p> Post that has been deleted cannot be restored</p>
            </div>
                <div class="modal-footer">
                    <button type="button" class="btn btn-secondary" data-bs-dismiss="modal">Close</button>
                    <a type="button" class="btn btn-danger" href="notes/{{ note.id }}/delete">Yes, delete this one</a>
                </div>
        </div>
        </div>
    </div>
        
        </td>
      </tr> 
      {% endfor %}
      {% endif %}
      
    </tr>
  </table>
  
  
</div>
<script src="https://cdn.jsdelivr.net/npm/bootstrap@5.0.2/dist/js/bootstrap.bundle.min.js" integrity="sha384-MrcW6ZMFYlzcLA8Nl+NtUVF0sA7MsXsP1UyJoMp4YLEuNSfAP+JcXn/tWtIaxVXM" crossorigin="anonymous"></script>
    <!-- {% include "footer.html" %} -->
  </body>


</html>
